#ifndef   MISC_LEDS_INCLUDE_H__
#define   MISC_LEDS_INCLUDE_H__

#include  <linux/kernel.h>
#include  <linux/module.h>
#include  <asm/io.h>
#include  <linux/fs.h>
#include  <linux/miscdevice.h>
#include  <linux/uaccess.h>
#include  <linux/platform_device.h>
#include  <linux/init.h>
#include  <linux/leds.h>
#include  <asm/string.h>
#include  <linux/gpio.h>


enum {
	GPIO_CFG0	= 0x00,
	GPIO_CFG1	= 0x04,
	GPIO_CFG2	= 0x08,
	GPIO_CFG3	= 0x0c,
	GPIO_DAT	= 0x10,
	GPIO_DRV0	= 0x14,
	GPIO_DRV1	= 0x18,
	GPIO_PUL0	= 0x1c,
	GPIO_PUL1	= 0x20,
};

#define PE_RESBASE        128    //PE0
#define PE_BASE           0x01c20890
#define PIN4              0x4
#define F1C1OOS_GPIO_CFG(base,pin)         (base+GPIO_CFG0+((pin >> 3) << 2))
#define F1C1OOS_GPIO_DAT(base)             (base+GPIO_DAT)

#define LEDCON  F1C1OOS_GPIO_CFG(LEDPAD,LEDPIN)
#define LEDDAT  F1C1OOS_GPIO_DAT(LEDPAD)

#define LEDPAD  PE_BASE
#define LEDPIN  PIN4
#define LEDRES  PE_RESBASE+PIN4
#define LEDNAME "LED(PE4)"

#endif
